summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJeff Morriss <jeff.morriss.ws@gmail.com>2013-05-30 00:35:46 +0000
committerJeff Morriss <jeff.morriss.ws@gmail.com>2013-05-30 00:35:46 +0000
commit4509929f2a5d036bb1016c184264a41edcf415c7 (patch)
tree939499eefbc23df78b6ed2d8e5de7344bd7a9a9c /tools
parentdffc4fefc6c5778545d0afd3187123cb4c172802 (diff)
downloadwireshark-4509929f2a5d036bb1016c184264a41edcf415c7.tar.gz
Exit if we can't load the test-common.sh library.
svn path=/trunk/; revision=49625
Diffstat (limited to 'tools')
-rwxr-xr-xtools/fuzz-test.sh2
-rwxr-xr-xtools/randpkt-test.sh2
-rwxr-xr-xtools/test-captures.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index fc0fbbdeb8..7610963b92 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -10,7 +10,7 @@
# repeatedly until an error is found.
TEST_TYPE="fuzz"
-. `dirname $0`/test-common.sh
+. `dirname $0`/test-common.sh || exit 1
# Directory containing binaries. Default current directory.
BIN_DIR=.
diff --git a/tools/randpkt-test.sh b/tools/randpkt-test.sh
index d0aceea98f..14a2199fdb 100755
--- a/tools/randpkt-test.sh
+++ b/tools/randpkt-test.sh
@@ -9,7 +9,7 @@
# The files are processed repeatedly until an error is found.
TEST_TYPE="randpkt"
-. `dirname $0`/test-common.sh
+. `dirname $0`/test-common.sh || exit 1
# Trigger an abort if a dissector finds a bug.
# Uncomment to disable
diff --git a/tools/test-captures.sh b/tools/test-captures.sh
index fac4347545..e652c28c5e 100755
--- a/tools/test-captures.sh
+++ b/tools/test-captures.sh
@@ -36,7 +36,7 @@ then
fi
TEST_TYPE="manual"
-. `dirname $0`/test-common.sh
+. `dirname $0`/test-common.sh || exit 1
# set some limits to the child processes, e.g. stop it if it's running longer then MAX_CPU_TIME seconds
# (ulimit is not supported well on cygwin and probably other platforms, e.g. cygwin shows some warnings)